import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { UserPlate } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-02 11:01
 */
interface UserPlateCU extends ConditionUtil<UserPlateCU> {
    ID: FieldUtil<UserPlateCU>;
    USER_ID: FieldUtil<UserPlateCU>;
    PLATE_NO: FieldUtil<UserPlateCU>;
    PLATE_DEFAULT: FieldUtil<UserPlateCU>;
    BIZ_STATUS: FieldUtil<UserPlateCU>;
    CREATE_USER_ID: FieldUtil<UserPlateCU>;
    UPDATE_USER_ID: FieldUtil<UserPlateCU>;
    REMARK: FieldUtil<UserPlateCU>;
    CREATE_TIME: FieldUtil<UserPlateCU>;
    UPDATE_TIME: FieldUtil<UserPlateCU>;
    STATE: FieldUtil<UserPlateCU>;
}
declare class UserPlateMU extends TableUtilImpl<UserPlateCU, UserPlate> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): UserPlateCU;
    static get ID(): FieldUtil<UserPlateCU>;
    static get USER_ID(): FieldUtil<UserPlateCU>;
    static get PLATE_NO(): FieldUtil<UserPlateCU>;
    static get PLATE_DEFAULT(): FieldUtil<UserPlateCU>;
    static get BIZ_STATUS(): FieldUtil<UserPlateCU>;
    static get CREATE_USER_ID(): FieldUtil<UserPlateCU>;
    static get UPDATE_USER_ID(): FieldUtil<UserPlateCU>;
    static get REMARK(): FieldUtil<UserPlateCU>;
    static get CREATE_TIME(): FieldUtil<UserPlateCU>;
    static get UPDATE_TIME(): FieldUtil<UserPlateCU>;
    static get STATE(): FieldUtil<UserPlateCU>;
    get ID(): FieldUtil<UserPlateCU>;
    get USER_ID(): FieldUtil<UserPlateCU>;
    get PLATE_NO(): FieldUtil<UserPlateCU>;
    get PLATE_DEFAULT(): FieldUtil<UserPlateCU>;
    get BIZ_STATUS(): FieldUtil<UserPlateCU>;
    get CREATE_USER_ID(): FieldUtil<UserPlateCU>;
    get UPDATE_USER_ID(): FieldUtil<UserPlateCU>;
    get REMARK(): FieldUtil<UserPlateCU>;
    get CREATE_TIME(): FieldUtil<UserPlateCU>;
    get UPDATE_TIME(): FieldUtil<UserPlateCU>;
    get STATE(): FieldUtil<UserPlateCU>;
}
export { UserPlateMU, UserPlateCU };
